Subject: git 2.1.0: make fails

From: Gerry Reno <[email-masked]>
Date: Tue, 09 Sep 2014 16:34:02 -0400

Downloaded the git-2.1.0.tar.gz  tarball.

Cannot build git 2.1.0:

    $ V=1 make prefix=/usr/local all
    ...
    cc -o xdiff/xpatience.o -c -MF xdiff/.depend/xpatience.o.d -MQ xdiff/xpatience.o -MMD -MP  -g -O2 -Wall -I.
    -DHAVE_ALLOCA_H  -DHAVE_PATHS_H -DHAVE_DEV_TTY -DHAVE_CLOCK_GETTIME -DSHA1_HEADER='<openssl/sha.h>'  -DNO_STRLCPY
    -DNO_MKSTEMPS -DSHELL_PATH='"/bin/sh"'  xdiff/xpatience.c
    cc -o xdiff/xhistogram.o -c -MF xdiff/.depend/xhistogram.o.d -MQ xdiff/xhistogram.o -MMD -MP  -g -O2 -Wall -I.
    -DHAVE_ALLOCA_H  -DHAVE_PATHS_H -DHAVE_DEV_TTY -DHAVE_CLOCK_GETTIME -DSHA1_HEADER='<openssl/sha.h>'  -DNO_STRLCPY
    -DNO_MKSTEMPS -DSHELL_PATH='"/bin/sh"'  xdiff/xhistogram.c
    rm -f xdiff/lib.a && ar rcs xdiff/lib.a xdiff/xdiffi.o xdiff/xprepare.o xdiff/xutils.o xdiff/xemit.o xdiff/xmerge.o
    xdiff/xpatience.o xdiff/xhistogram.o
    cc  -g -O2 -Wall -I. -DHAVE_ALLOCA_H  -DHAVE_PATHS_H -DHAVE_DEV_TTY -DHAVE_CLOCK_GETTIME
    -DSHA1_HEADER='<openssl/sha.h>'  -DNO_STRLCPY -DNO_MKSTEMPS -DSHELL_PATH='"/bin/sh"' -o git-credential-store  
    credential-store.o libgit.a xdiff/lib.a  -lz  -lcrypto -lpthread -lrt
    collect2: ld returned 1 exit status
    make: *** [git-credential-store] Error 1

    $ ls -l credential.o libgit.a xdiff/lib.a /usr/lib/libz.a /usr/lib/libcrypt.a /usr/lib/libpthread.a /usr/lib/librt.a
    -rw-rw-r-- 1 greno greno   20332 Sep  9 16:21 credential.o
    -rw-rw-r-- 1 greno greno 4658874 Sep  9 16:23 libgit.a
    -rw-r--r-- 1 root  root    24272 Jan  5  2007 /usr/lib/libcrypt.a
    -rw-r--r-- 1 root  root   228586 Jan  5  2007 /usr/lib/libpthread.a
    -rw-r--r-- 1 root  root    52128 Jan  5  2007 /usr/lib/librt.a
    -rwxr-xr-x 1 root  root    92622 Jul 19  2006 /usr/lib/libz.a
    -rw-rw-r-- 1 greno greno  122456 Sep  9 16:23 xdiff/lib.a